SynchronizationRegistryImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction.internal
Class SynchronizationRegistryImpl

    java.lang.Object
      org.hibernate.engine.transaction.internal.SynchronizationRegistryImpl

All Implemented Interfaces:
  Serializable, SynchronizationRegistry

    public class SynchronizationRegistryImpl

extends Object
implements SynchronizationRegistry

Manages a registry of `Synchronizations`.

See Also:
  Serialized Form

Constructor Summary
`SynchronizationRegistryImpl()`

Method Summary
`void` | `notifySynchronizationsAfterTransactionCompletion(int status)` Delegate `Synchronization.afterCompletion(int)` calls to `registered` `Synchronizations`
`void` | `notifySynchronizationsBeforeTransactionCompletion()` Delegate `Synchronization.beforeCompletion()` calls to the `registered` `Synchronizations`
`void` | `registerSynchronization(Synchronization synchronization)` Register a user `Synchronization` callback for this transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizationRegistryImpl

    public SynchronizationRegistryImpl()

Method Detail

### registerSynchronization

    public void registerSynchronization(Synchronization synchronization)

  Description copied from interface: `SynchronizationRegistry`
  Register a user `Synchronization` callback for this transaction.

  Specified by:
    `registerSynchronization` in interface `SynchronizationRegistry`
  Parameters:
    `synchronization` - The synchronization callback to register.

### notifySynchronizationsBeforeTransactionCompletion

    public void notifySynchronizationsBeforeTransactionCompletion()

  Description copied from interface: `SynchronizationRegistry`
  Delegate `Synchronization.beforeCompletion()` calls to the `registered` `Synchronizations`

  Specified by:
    `notifySynchronizationsBeforeTransactionCompletion` in interface `SynchronizationRegistry`

### notifySynchronizationsAfterTransactionCompletion

    public void notifySynchronizationsAfterTransactionCompletion(int status)

  Description copied from interface: `SynchronizationRegistry`
  Delegate `Synchronization.afterCompletion(int)` calls to `registered` `Synchronizations`

  Specified by:
    `notifySynchronizationsAfterTransactionCompletion` in interface `SynchronizationRegistry`
  Parameters:
    `status` - The transaction status (if known) per `Status`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.